=== debian/changelog ===
proj (6.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Strip pre-releases from symbols version.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 13 Feb 2020 16:29:49 +0100

proj (6.3.1~rc1-1~exp2) experimental; urgency=medium

  * Add patch to fix FTBFS when building twice.
    (closes: #951187)
  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 12 Feb 2020 14:28:09 +0100

proj (6.3.1~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Bump Standards-Version to 4.5.0, no changes.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 10 Feb 2020 12:03:03 +0100
