## proj 7.1.0

=== debian/changelog ===
proj (7.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Update 7.1.0~rc2 symbols for other architectures.
  * Strip pre-releases from symbols version.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Jul 2020 15:03:06 +0200

proj (7.1.0~rc2-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop patches, included upstream.
  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 26 Jun 2020 15:27:20 +0200

proj (7.1.0~rc1-1~exp2) experimental; urgency=medium

  * Add upstream patch to fix FTBFS on arm* & mipsel.
  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 24 Jun 2020 11:41:34 +0200

proj (7.1.0~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update copyright years for Kristian Evers.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 23 Jun 2020 21:31:35 +0200

proj (7.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Update 7.0.1~rc1 symbols for other architectures.
  * Strip pre-releases from symbols version.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 01 May 2020 10:42:00 +0200

proj (7.0.1~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop patches, included upstream.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 27 Apr 2020 11:33:08 +0200

proj (7.0.0-2) unstable; urgency=medium

  * Update symbols for alpha.
  * Add upstream patch to fix pkg-config.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 18 Mar 2020 16:53:38 +0100

proj (7.0.0-1) unstable; urgency=medium

  * Bump debhelper compat to 10, changes:
    - Drop --parallel option, enabled by default
    - Don't explicitly enable autoreconf, enabled by default
    - Drop dh-autoreconf build dependency
  * Update 7.0.0 symbols for arm64.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 18 Mar 2020 06:00:29 +0100

proj (7.0.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update symbols for other architectures.
  * Strip pre-releases from symbols version.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 01 Mar 2020 10:40:35 +0100

proj (7.0.0~rc2-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop patches, applied/included upstream.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 26 Feb 2020 05:24:10 +0100

proj (7.0.0~rc1-1~exp3) experimental; urgency=medium

  * Add upstream patch to fix test failure on big endian architectures.
  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 21 Feb 2020 12:07:24 +0100

proj (7.0.0~rc1-1~exp2) experimental; urgency=medium

  * Add upstream patch to fix FTBFS on big endian architectures.
  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 20 Feb 2020 17:04:44 +0100

proj (7.0.0~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Add curl & tiff (build) dependencies.
  * Update copyright years for Even Rouault.
  * Remove data/null on clean again, removed upstream.
  * Rename library package for SONAME bump.
  * Drop make-readme.patch, applied upstream.
  * Don't install man3 files in proj-dev, removed upstream.
  * Update symbols for amd64.
  * Add patch to fix test failure.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 18 Feb 2020 05:47:44 +0100
