=== debian/control ===
--- 
+++ 
@@ -4,9 +4,10 @@
            Bas Couwenberg <sebastic@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               dh-autoreconf,
+Build-Depends: debhelper (>= 10~),
+               libcurl4-gnutls-dev | libcurl-ssl-dev,
                libsqlite3-dev,
+               libtiff-dev,
                pkg-config,
                pkg-kde-tools,
                sharutils,
@@ -37,7 +38,7 @@
  This package contains auxiliary projection datum grids used by the
  library and tools.
 
-Package: libproj15
+Package: libproj19
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -64,8 +65,10 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libproj15 (= ${binary:Version}),
+Depends: libproj19 (= ${binary:Version}),
+         libcurl4-gnutls-dev | libcurl-ssl-dev,
          libsqlite3-dev,
+         libtiff-dev,
          ${misc:Depends}
 Suggests: proj-bin
 Pre-Depends: ${misc:Pre-Depends}
