=== debian/changelog ===
proj (7.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Update 7.2.1~rc1 symbols for other architectures.
  * Strip pre-releases from symbols version.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 01 Jan 2021 16:52:05 +0100

proj (7.2.1~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Bump watch file version to 4.
  * Bump Standards-Version to 4.5.1, no changes.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 27 Dec 2020 06:25:35 +0100

proj (7.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Update 7.2.0~rc2 symbols for other architectures.
  * Strip pre-releases from symbols version.
  * Update symbols for amd64.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 01 Nov 2020 11:07:18 +0100

proj (7.2.0~rc2-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update 7.2.0~rc1 symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 28 Oct 2020 15:16:19 +0100

proj (7.2.0~rc1-1~exp2) experimental; urgency=medium

  * Revert SOVERSION changes.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 26 Oct 2020 15:25:18 +0100

proj (7.2.0~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Rename library package for SONAME bump.
  * Update lintian overrides.
  * Add patch to fix SOVERSION to match CMake build.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 26 Oct 2020 13:03:19 +0100

proj (7.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols for other architectures.
  * Strip pre-releases from symbols version.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 01 Sep 2020 15:00:56 +0200

proj (7.1.1~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update symbols for amd64.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 25 Aug 2020 05:51:43 +0200
