=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                sharutils,
                sqlite3,
                xz-utils
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/proj
 Vcs-Git: https://salsa.debian.org/debian-gis-team/proj.git
 Homepage: https://proj.org/
