=== debian/rules ===
--- 
+++ 
@@ -26,11 +26,11 @@
 
 %:
 	if [ "$@" != "datumgrids" -a "$@" != "datumgrids-stamp" ]; then \
-		dh $@ --with autoreconf,pkgkde_symbolshelper --parallel ; \
+		dh $@ --with pkgkde_symbolshelper ; \
 	fi
 
 override_dh_auto_clean:
-	( cd $(CURDIR)/data && cat $(CURDIR)/debian/datumgrids.list $(CURDIR)/debian/datumgrids-ch.list | grep -v null | xargs rm -f )
+	( cd $(CURDIR)/data && cat $(CURDIR)/debian/datumgrids.list $(CURDIR)/debian/datumgrids-ch.list | xargs rm -f )
 	dh_auto_clean
 
 override_dh_auto_configure: datumgrids
